iT邦幫忙

0

angular cli打包問題

最近在使用網路購買的ng2版型
執行ng serve 都會出現以下錯誤訊息
把polyfills.ts裡的import 'promise'註解就沒問題了
看這個好像是針對BROWSER相容性的
請問註解不知道會不會有問題?
http://ithelp.ithome.com.tw/upload/images/20170620/201059975M61MJrgVC.png

我的環境:
@angular/cli: 1.0.6
node: 6.11.0
os: linux x64
@angular/common: 4.1.3
@angular/compiler: 4.1.3
@angular/core: 4.1.3
@angular/forms: 4.1.3
@angular/http: 4.1.3
@angular/platform-browser: 4.1.3
@angular/platform-browser-dynamic: 4.1.3
@angular/router: 4.1.3
@angular/animations: 4.1.3
@angular/material: 2.0.0-beta.6
@angular/cli: 1.0.6
@angular/compiler-cli: 4.1.3
Rach iT邦新手 5 級 ‧ 2017-11-14 00:03:16 檢舉
不知道你的問題解決了嗎?打包完的定義檔出錯了,能用`npm install`解決嗎?

尚未有邦友回答

立即登入回答